package core.api.models.timemanager.tasks;

import core.entities.timemanager.Task;

public class TaskShortInfo {

    private long taskID;
    private String taskName;

    private boolean finishable;

    public TaskShortInfo(Task task) {
        this.taskID = task.getTaskID();
        this.taskName = task.getTaskName();
        this.finishable = task.isFinishable();
    }

    public TaskShortInfo(long taskID, String taskName) {
        this.taskID = taskID;
        this.taskName = taskName;
    }

    public long getTaskID() {
        return taskID;
    }

    public void setTaskID(long taskID) {
        this.taskID = taskID;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public boolean isFinishable() {
        return finishable;
    }

    public void setFinishable(boolean finishable) {
        this.finishable = finishable;
    }
}
